Method: instances.getVmExtensionState

Retrieves details of a specific VM extension state. This is a read-only API.

HTTP request


GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/instances/{instance}/vmExtensionStates/{extensionName}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

zone

string

Name of the zone for this request.

instance

string

Name or id of the instance resource.

extensionName

string

The name of the extension to get the state for.

Request body

The request body must be empty.

Response body

State of an extension on an instance.

If successful, the response body contains data with the following structure:

JSON representation
{
  "name": string,
  "version": string,
  "healthStatus": enum,
  "enforcementState": enum,
  "enforcementMsg": string,
  "healthMsg": string,
  "policyId": string
}
Fields
name

string

The name of the extension.

version

string

The version of the extension.

healthStatus

enum

The health status of the extension.

enforcementState

enum

The enforcement state of the extension. If the extension is not enforced yet, then the health status will not be specified.

enforcementMsg

string

The status message of the extension if the extension fails to enforce.

healthMsg

string

The health status message of the extension.

policyId

string

The id of the policy that is enforced on the extension.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.instances.getVmExtensionState

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.